package com.casic.missiles.service.cockpit;

import com.casic.missiles.dto.cockpit.*;
import com.casic.missiles.model.equipment.EquipmentFixedAssets;
import com.casic.missiles.model.equipment.EquipmentStandardEquipment;

import java.util.List;

/**
 * @Description:
 * @Author: wangpeng
 * @Date: 2023/6/13 15:18
 */
public interface IAssetMonitorService {
    AssetManagementResponse assetManagement();

    EquipmentResponse equipment();

    List<ExpireDeviceStatisticsResponse> expireDeviceStatistics();

    List<EquipmentFixedAssets> expireDeviceList();

    DeviceMeasureResponse deviceMeasure();

    StandardEquipmentResponse standardEquipment();

    List<EquipmentStandardEquipment> expireEquipmentList();

    List<ExpireEquipmentStatisticsResponse> expireEquipmentStatistics();

}
